/**
 * Ext GWT 3.0.0-rc2 - Ext for GWT
 * Copyright(c) 2007-2012, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.widget.core.client.form;

import com.sencha.gxt.data.shared.ListStore;
import com.sencha.gxt.widget.core.client.ListView;

public class ListField<M, T> extends AdapterField<M>{

  protected ListView<M, T> listView;
  
  public ListField(ListView<M, T> view) {
    super(view);
    this.listView = view;
  }
  
  @Override
  public void setValue(M value) {
     listView.getSelectionModel().select(value, false);
  }

  @Override
  public M getValue() {
    return listView.getSelectionModel().getSelectedItem();
  }
  
  /**
   * Sets the list field's list store.
   * 
   * @param store the store
   */
  public void setStore(ListStore<M> store) {
    listView.setStore(store);
  }
  
  public ListStore<M> getStore() {
    return listView.getStore();
  }

}
