/**
 * Ext GWT 3.0.0-rc2 - Ext for GWT
 * Copyright(c) 2007-2012, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.widget.core.client.form;

import java.util.List;

import com.sencha.gxt.data.shared.LabelProvider;
import com.sencha.gxt.data.shared.ListStore;
import com.sencha.gxt.data.shared.ModelKeyProvider;

public class SimpleComboBox<T> extends ComboBox<T> {

  public SimpleComboBox(LabelProvider<? super T> labelProvider) {
    super(new ListStore<T>(new ModelKeyProvider<T>() {
      @Override
      public String getKey(T item) {
        return item.toString();
      }
    }), labelProvider);
  }

  /**
   * Adds the values to the list.
   * 
   * @param values the values
   */
  public void add(List<T> values) {
    getStore().addAll(values);
  }
  
  /**
   * Adds the value.
   * 
   * @param value the value
   */
  public void add(T value) {
    getStore().add(value);
  }
  
  /**
   * Returns the selected index.
   * 
   * @return the index or -1 if no selection
   */
  public int getSelectedIndex() {
    T c = getValue();
    if (c != null) {
      return getStore().indexOf(c);
    }
    return -1;
  }

  public void remove(T remove) {
    getStore().remove(remove);
  }

}
